DynamicJava Javadoc: Class TreeCompiler.CompilationUnitVisitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class TreeCompiler.CompilationUnitVisitor

    java.lang.Object
      |
      +--koala.dynamicjava.tree.visitor.VisitorObject
            |
            +--koala.dynamicjava.interpreter.TreeCompiler.CompilationUnitVisitor

All Implemented Interfaces:
  Visitor

Enclosing class:
  TreeCompiler

protected class TreeCompiler.CompilationUnitVisitor
extends VisitorObject

To create the class infos for a compilation unit

Field Summary
`protected ClassFinder` | `classFinder` The class finder
`protected Context` | `context` The context

Constructor Summary
`protected` | `TreeCompiler.CompilationUnitVisitor()`

Method Summary
`java.lang.Object` | `visit(ClassDeclaration node)` Visits a ClassDeclaration
`java.lang.Object` | `visit(ImportDeclaration node)` Visits an ImportDeclaration
`java.lang.Object` | `visit(InterfaceDeclaration node)` Visits an InterfaceDeclaration
`java.lang.Object` | `visit(PackageDeclaration node)` Visits a PackageDeclaration
`protected java.lang.Object` | `visitType(TypeDeclaration node)` Visits a type declaration

Methods inherited from class koala.dynamicjava.tree.visitor.VisitorObject
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected Context context

  The context

### classFinder

    protected ClassFinder classFinder

  The class finder

Constructor Detail

### TreeCompiler.CompilationUnitVisitor

    protected TreeCompiler.CompilationUnitVisitor()

Method Detail

### visit

    public java.lang.Object visit(PackageDeclaration node)

  Visits a PackageDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit
  Returns:
    null

### visit

    public java.lang.Object visit(ImportDeclaration node)

  Visits an ImportDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visit

    public java.lang.Object visit(ClassDeclaration node)

  Visits a ClassDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visit

    public java.lang.Object visit(InterfaceDeclaration node)

  Visits an InterfaceDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visitType

    protected java.lang.Object visitType(TypeDeclaration node)

  Visits a type declaration
  Parameters:
    `node` - the node to visit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.